# synfigapp::Action::Error Class Reference

Exception class, thrown when redoing or undoing an action. More...

`#include <action.h>`

List of all members.

## Public Types

enum | Type { TYPE_UNKNOWN, TYPE_UNABLE, TYPE_BADPARAM, TYPE_CRITICAL, TYPE_NOTREADY, TYPE_BUG, TYPE_END }

## Public Member Functions

| Error (Type type, const char *format,...)
| Error (const char *format,...)
| Error (Type type=TYPE_UNABLE)
Type | get_type () const
synfig::String | get_desc () const

## Detailed Description

Exception class, thrown when redoing or undoing an action.

## Member Enumeration Documentation

enum synfigapp::Action::Error::Type

Enumerator:

  TYPE_UNKNOWN |
  TYPE_UNABLE |
  TYPE_BADPARAM |
  TYPE_CRITICAL |
  TYPE_NOTREADY |
  TYPE_BUG |
  TYPE_END |

## Constructor & Destructor Documentation

synfigapp::Action::Error::Error | ( | Type | type,
|  | const char * | format,
|  |  | ... |
| ) |  |  | `[inline]`

synfigapp::Action::Error::Error | ( | const char * | format,
|  |  | ... |
| ) |  |  | `[inline]`

synfigapp::Action::Error::Error | ( | Type | type = `TYPE_UNABLE` | ) | `[inline]`

## Member Function Documentation

Type synfigapp::Action::Error::get_type | ( |  | ) | const`[inline]`

Referenced by synfigapp::Action::Super::perform(), and synfigapp::Action::System::perform_action().

synfig::String synfigapp::Action::Error::get_desc | ( |  | ) | const`[inline]`

Referenced by synfigapp::Action::Super::perform(), and synfigapp::Action::System::perform_action().

The documentation for this class was generated from the following file:

- action.h